Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::Ext::IAlternatingExposureCaps Class Reference
CameraDevice | Ext::AlternatingExposure

Interface used to query the availability of hardware based alternating exposure support. More...

`#include <AlternatingExposure.h>`

Inheritance diagram for Argus::Ext::IAlternatingExposureCaps:

List of all members.

## Public Member Functions
virtual bool | supportsAlternatingExposure () const =0
| Returns whether alternating exposure support is available or not.

## Static Public Member Functions
static const InterfaceID & | id ()

## Protected Member Functions
| ~IAlternatingExposureCaps ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface used to query the availability of hardware based alternating exposure support.

Definition at line 66 of file AlternatingExposure.h.

## Constructor & Destructor Documentation

Argus::Ext::IAlternatingExposureCaps::~IAlternatingExposureCaps | ( |  | ) |
| inline protected

Definition at line 77 of file AlternatingExposure.h.

## Member Function Documentation

static const InterfaceID& Argus::Ext::IAlternatingExposureCaps::id | ( |  | ) |
| inline static

Definition at line 69 of file AlternatingExposure.h.

virtual bool Argus::Ext::IAlternatingExposureCaps::supportsAlternatingExposure | ( |  | ) | const
| pure virtual

Returns whether alternating exposure support is available or not.

The documentation for this class was generated from the following file:

- include/Argus/Ext/AlternatingExposure.h